Payments Report

Get a detailed report of all processed payments. Supports pagination and rich filtering.

Endpoint: GET /payments

Authorization:

NombreTipoDescripción
AuthorizationBasicUses the authentication handled by OXXO Pay.

Parameters:

NombreObligatorioTipoDescripciónEjemplo
next_page_urlNostringPagination cursor returned by the previous response.1234567890abcdefghijk
sizeNonumberNumber of records per pageDefault is 100.
Minimum: 1
Maximum: 1000
fromNonumber (ms)Initial timestamp (UTC ms)1759276800000
Defaults to the last 31 days.
toNonumber (ms)Final timestamp (UTC ms)1762408800000
Defaults to the last 31 days.
yearNonumberReport year2025
monthNonumberReport month (1-12)10
amount_fromNonumberMinimum amount to filter200
amount_toNonumberMaximum amount to filter2000
sortNostringSort order asc or descasc
payment_methodNostringPayment method. Options: CashPaymentCashPayment
statusNostringStatus. Options: expired, paid, canceled, pending_payment, refunded, voided, charged_back, partially_refunded, reversed, pre_authorized, pending_confirmation, under_reviewpaid
fieldNostringFields to filter (comma-separated)status,bank
customer_idNostringFilter by customer IDcust_123

Example request:

curl -X GET "https://services.digitalfemsa.io/reports/v1/payments?year=2025&month=10&from=1759276800000&to=1762408800000&size=1&next_page_url=1234567890abcdefghijk" \
  -H "Content-Type: application/json" \
  -H "Accept: application/vnd.app-v2.1.0+json" \
  -H "Authorization: Bearer <your_api_key>"

Response (example):

{
  "next_page_url": "https://services.digitalfemsa.io/reports/v1/payments?from=1759276800000&month=10&next_page_url=1234567890abcdefghijk&size=1&to=1762408800000&year=2025",
  "has_more": true,
  "total": 57,
  "object": "list",
  "data": [
    {
      "antifraud_code": "",
      "antifraud_decision": "",
      "auth_code": "",
      "bank": "",
      "banking_decision": "",
      "branch_office": "",
      "card_brand": "",
      "card_number": "",
      "card_type": "",
      "cardholder_name": "",
      "channel": "",
      "charge_amount": 90,
      "charge_id": "68e5505c2997c500158019e123456",
      "chargeback_date": null,
      "checkout_id": "",
      "checkout_request_id": "",
      "checkout_request_name": "",
      "checkout_request_type": "",
      "commission": null,
      "company_id": "5f90a9802238c0000123456",
      "country_card": "",
      "create_date": 1759858780410,
      "currency": "MXN",
      "customer_custom_reference": "",
      "customer_id": "",
      "deposit_amount": null,
      "deposit_date": null,
      "deposit_id": "",
      "deposit_reference": "",
      "description": "Vintage Typewriter",
      "email": "[email protected]",
      "error_message": "",
      "exchange_rate": 1,
      "failure_code": "",
      "foreign_charge_amount": null,
      "foreign_currency": "",
      "invoice_id": "",
      "ip": "",
      "item_description": "",
      "item_name": "Vintage Typewriter",
      "livemode": true,
      "metadata": "{\"woocommerce_version\":\"10.2.2\",\"reference_id\":69,\"plugin\":\"woocommerce\",\"plugin_spin_version\":\"1.0.2\",\"payment_method\":\"Spin_Block_Gateway\"}",
      "monthly_installments": null,
      "name": "Uriel Perez",
      "order_id": "ord_123456789abcde",
      "partial": false,
      "pay_date": null,
      "payment_cash": "OxxoPay",
      "payment_method": "OxxoPayment",
      "payment_type": "",
      "phone": "",
      "receiving_account_number": "",
      "reference_id": "69",
      "reference_oxxo": "12345678901234",
      "refund_date": null,
      "shipping_address": "Brisas de Florida aaaaaaa, aaaaaaa, Temixco, mx, 62584",
      "status": "expired",
      "store": "",
      "subscription_id": "",
      "transaction_id": "",
      "transaction_type": "",
      "type": ""
    }
  ]
}